### Method

# GIRepository TypeInfo get_array_type

since: 2.80

#### Declaration [src]

    GIArrayType
    gi_type_info_get_array_type (
      GITypeInfo* info
    )

#### Description [src]

Obtain the array type for this type.

See `GIArrayType` for a list of possible values.

It is an error to call this on an `info` which is not an array type. Use `gi_type_info_get_tag()` to check.

Available since: 2.80

#### Return value

Type: `GIArrayType`

The array type.